

****************三类环节偏向国家HP变量均值和GVC分工地位均值*********************
gen fz1 = 0 
forvalues i = 2000(1)2018 {  
  _pctile PH if year == `i', percentiles(10 40 60 90)  
  
  replace fz1 = 1 if PH > r(r1) & PH <= r(r2) & year == `i'  
  replace fz1 = 2 if PH > r(r2) & PH <= r(r3) & year == `i'  
  replace fz1 = 3 if PH > r(r3) & PH <= r(r4) & year == `i'  


  }

keep if fz1 == 1|fz == 2|fz == 3

bysort year fz1:egen m_po = mean(GVC_PO)  
bysort year fz1:egen m_us = mean(PH)  
bysort year fz1:gen n = _n  
keep if n == 1

sort fz1 year

//2000年
sum m_po m_us if year==2000&fz1==3  //上游偏向国家
sum m_po m_us if year==2000&fz1==2  //中游偏向国家
sum m_po m_us if year==2000&fz1==1  //下游偏向国家

//2002年
sum m_po m_us if year==2002&fz1==3
sum m_po m_us if year==2002&fz1==2
sum m_po m_us if year==2002&fz1==1

//2004年
sum m_po m_us if year==2004&fz1==3
sum m_po m_us if year==2004&fz1==2
sum m_po m_us if year==2004&fz1==1

//2006年
sum m_po m_us if year==2006&fz1==3
sum m_po m_us if year==2006&fz1==2
sum m_po m_us if year==2006&fz1==1

//2008年
sum m_po m_us if year==2008&fz1==3
sum m_po m_us if year==2008&fz1==2
sum m_po m_us if year==2008&fz1==1

//2010年
sum m_po m_us if year==2010&fz1==3
sum m_po m_us if year==2010&fz1==2
sum m_po m_us if year==2010&fz1==1

//2012年
sum m_po m_us if year==2012&fz1==3
sum m_po m_us if year==2012&fz1==2
sum m_po m_us if year==2012&fz1==1

//2014年
sum m_po m_us if year==2014&fz1==3
sum m_po m_us if year==2014&fz1==2
sum m_po m_us if year==2014&fz1==1

//2016年
sum m_po m_us if year==2016&fz1==3
sum m_po m_us if year==2016&fz1==2
sum m_po m_us if year==2016&fz1==1

//2018年
sum m_po m_us if year==2018&fz1==3
sum m_po m_us if year==2018&fz1==2
sum m_po m_us if year==2018&fz1==1


***************三类样本国家总体HP变量均值和GVC分工地位均值**********************
gen fz1 = 0 
forvalues i = 2000(1)2018 {  
  _pctile PH if year == `i', percentiles(10 40 60 90)  
  
  replace fz1 = 1 if PH > r(r1) & PH <= r(r2) & year == `i'  
  replace fz1 = 2 if PH > r(r2) & PH <= r(r3) & year == `i'  
  replace fz1 = 3 if PH > r(r3) & PH <= r(r4) & year == `i'  


  }

keep if fz1 == 1|fz == 2|fz == 3

bysort year fz1:egen m_po = mean(GVC_PO)  
bysort year fz1:egen m_us = mean(PH)  
bysort year fz1:gen n = _n  
//2000年
sum m_po m_us if year==2000&(fz1==3|fz1==2|fz1==1) 

//2002年
sum m_po m_us if year==2002&(fz1==3|fz1==2|fz1==1) 

//2004年
sum m_po m_us if year==2004&(fz1==3|fz1==2|fz1==1) 

//2006年
sum m_po m_us if year==2006&(fz1==3|fz1==2|fz1==1) 

//2008年
sum m_po m_us if year==2008&(fz1==3|fz1==2|fz1==1) 

//2010年
sum m_po m_us if year==2010&(fz1==3|fz1==2|fz1==1) 

//2012年
sum m_po m_us if year==2012&(fz1==3|fz1==2|fz1==1) 

//2014年
sum m_po m_us if year==2014&(fz1==3|fz1==2|fz1==1) 

//2016年
sum m_po m_us if year==2016&(fz1==3|fz1==2|fz1==1) 

//2018年
sum m_po m_us if year==2018&(fz1==3|fz1==2|fz1==1) 
