//指定控制变量
global myvars DIG L OPEN ECD TAX SCARE GJS FDI
 
****************************描述性统计**************************
logout,save(描述性统计结果)word replace:tabstat GVC_PO PH $myvars,s(N mean sd min max) f(%12.4f) c(s)

****************************基准回归****************************
tsset id year
reghdfe GVC_PO PH PH_2,absorb(year id) vce(robust)
estimates store r1
reghdfe GVC_PO PH PH_2 DIG,absorb(year id) vce(robust)
estimates store r2
reghdfe GVC_PO PH PH_2 DIG L,absorb(year id) vce(robust)
estimates store r3
reghdfe GVC_PO PH PH_2 DIG L OPEN,absorb(year id) vce(robust)
estimates store r4
reghdfe GVC_PO PH PH_2 DIG L OPEN ECD,absorb(year id) vce(robust)
estimates store r5
reghdfe GVC_PO PH PH_2 DIG L OPEN ECD TAX,absorb(year id) vce(robust)
estimates store r6
reghdfe GVC_PO PH PH_2 DIG L OPEN ECD TAX SCARE,absorb(year id) vce(robust)
estimates store r7
reghdfe GVC_PO PH PH_2 DIG L OPEN ECD TAX SCARE GJS,absorb(year id) vce(robust)
estimates store r8
reghdfe GVC_PO PH PH_2 $myvars, absorb(year id) vce(robust)
estimates store r9
esttab r1 r2 r3 r4 r5 r6 r7 r8 r9 using 基准回归.rtf,replace b(%12.4f) se(%6.4f) nogap compress drop() s(N r2 ) star(* 0.1 ** 0.05 *** 0.01)

****************************内生性检验****************************

//1.取HP变量与均值之差的三次方作为工具变量
ivreg2 GVC_PO  i.year i.id (PH PH_2= IV_a IV_a2 ),r small
estimates store r1
ivreg2 GVC_PO $myvars i.year  i.id (PH PH_2= IV_a IV_a2 ),r small 
estimates store r2


//2. 移动份额法（Bartik）工具变量

ivreg2 GVC_PO  i.year i.id (PH PH_2= IV_b IV_b2 ),r small
estimates store r3
ivreg2 GVC_PO $myvars i.year  i.id (PH PH_2= IV_b IV_b2 ),r small 
estimates store r4



//3. 增强移动份额法（Bartik）工具变量的经济含义

ivreg2 GVC_PO i.year  i.id (PH PH_2= IV_c IV_c2 ),r small 
estimates store r5
ivreg2 GVC_PO $myvars i.year  i.id (PH PH_2= IV_c IV_c2  ),r small 
estimates store r6

//4.联立方程
sort id year
reg3 (GVC_PO PH PH_2  i.year i.id) ( PH GVC_PO pergdp l.pergdp empoloyment i.year i.id),ols   
estimates store r7
reg3 (GVC_PO PH PH_2 $myvars i.year i.id) ( PH GVC_PO pergdp l.pergdp empoloyment i.year i.id),ols   
estimates store r8
esttab r1 r2 r3 r4 r5 r6 r7 r8  using  内生性检验.rtf,replace b(%12.4f) se(%6.4f) nogap compress drop(*.year *.id) s(N r2 idq idstat cdf rkf jp) star(* 0.1 ** 0.05 *** 0.01)




****************************稳健性检验****************************

//替换解释变量
reghdfe GVC_PO PH1 PH1_2 $myvars,absorb(year id) vce(robust)
estimates store r1
reghdfe GVC_PO PH2 PH2_2 $myvars,absorb(year id) vce(robust)
estimates store r2

//替换被解释变量
reghdfe GVC_PO_全行业 PH PH_2 $myvars,absorb( year id) vce(robust) 
estimates store r3
reghdfe GS PH PH_2 $myvars,absorb( year id) vce(robust) 
estimates store r4


//剔除极端值
reghdfe GVC_PO PH PH_2 $myvars if GVC_PO<GVC_PO_p99&GVC_PO>GVC_PO_p1&PH<PH_p99&PH>PH_p1,absorb(year id) vce(robust)
estimates store r5

*剔除样本-----------------------------

*剔除前七大经济体：美国、中国、日本、德国、英国、法国、巴西
reghdfe GVC_PO PH PH_2 $myvars if jjt == 0,absorb(year id) vce(robust)
estimates store r6

//剔除数字技术应用水平较高的国家，即以色列、瑞士、法国、美国、新加坡、韩国、菲律宾
reghdfe GVC_PO PH PH_2 $myvars if hsp == 0,absorb(year id) vce(robust)
estimates store r7



//区分2000-2008年与2009-2018年两个时间段进行回归
reghdfe GVC_PO PH PH_2 $myvars if year < 2009,absorb(year id) vce(robust)
estimates store r8
reghdfe GVC_PO PH PH_2 $myvars if year >= 2009,absorb(year id) vce(robust)
estimates store r9

//分位数回归
tab year,g(year)
tab id ,g(id)
tsset id year
qreg GVC_PO PH PH_2 $myvars i.year i.id, quantile(.25) vce(r) iter(10000)
estimates store r10
qreg GVC_PO PH PH_2 $myvars i.year i.id, quantile(.5) vce(r) iter(10000)
estimates store r11
qreg GVC_PO PH PH_2 $myvars i.year i.id, quantile(.75) vce(r) iter(10000)
estimates store r12


// esttab r1 r2 r3 r4 r5 r6 r7 r8 r9 r10 r11 r12 using 稳健性检验.rtf,replace b(%12.4f) se(%6.4f) nogap compress drop() s(N r2 ) star(* 0.1 ** 0.05 *** 0.01)


****************************机制分析****************************

//创新促进机制
//创新边界
reghdfe PHHI PH PH_2 $myvars ,absorb(year id) vce(robust)
estimates store r1
reghdfe GVC_PO PHHI PH PH_2 $myvars  ,absorb(year id ) vce(robust)
estimates store r2

//创新投入
reghdfe RD PH PH_2 $myvars ,absorb(year id) vce(robust)
estimates store r3
reghdfe GVC_PO RD PH PH_2 $myvars ,absorb(year id) vce(robust)
estimates store r4

//创新产出
reghdfe PATENT PH PH_2 $myvars,absorb(year id) vce(robust)
estimates store r5
reghdfe GVC_PO PATENT PH PH_2 $myvars ,absorb(year id ) vce(robust)
estimates store r6

//创新效率
reghdfe RDE PH PH_2 $myvars ,absorb(year id) vce(robust)
estimates store r7
reghdfe GVC_PO RDE PH PH_2 $myvars ,absorb(year id ) vce(robust)
estimates store r8



esttab r1 r2 r3 r4 r5 r6 r7 r8 using 创新机制.rtf,replace b(%12.4f) se(%6.4f) nogap compress drop() s(N r2 ) star(* 0.1 ** 0.05 *** 0.01)

//成本节约机制
reghdfe COST_a PH PH_2 $myvars,absorb(year id)  vce(robust)
estimates store r1
reghdfe GVC_PO COST_a PH PH_2 $myvars,absorb(year id) vce(robust)
estimates store r2

reghdfe COST_b PH PH_2 $myvars,absorb(year id) vce(robust)
estimates store r3
reghdfe GVC_PO COST_b PH PH_2 $myvars,absorb(year id) vce(robust)
estimates store r4

esttab r1 r2 r3 r4 using 成本机制.rtf,replace b(%12.4f) se(%6.4f) nogap compress drop() s(N r2 ) star(* 0.1 ** 0.05 *** 0.01)

//生产网络链接强化机制
reghdfe FLVC PH PH_2 $myvars,absorb(year id) vce(robust)
estimates store r1
reghdfe GVC_PO FLVC PH PH_2 $myvars,absorb(year id ) vce(robust)
estimates store r2
reghdfe BLVC PH PH_2 $myvars,absorb(year id) vce(robust)
estimates store r3
reghdfe GVC_PO BLVC PH PH_2 $myvars,absorb(year id ) vce(robust)
estimates store r4
reghdfe LVC PH PH_2 $myvars,absorb(year id) vce(robust)
estimates store r5
reghdfe GVC_PO LVC PH PH_2 $myvars,absorb(year id ) vce(robust)
estimates store r6


esttab r1 r2 r3 r4 r5 r6 using 网络连接机制.rtf,replace b(%12.4f) se(%6.4f) nogap compress drop() s(N r2 ) star(* 0.1 ** 0.05 *** 0.01)



****************************动态检验****************************
sort id year
reghdfe GVC_PO l.PH l.PH_2,absorb(year id) vce(robust)
estimates store r1
reghdfe GVC_PO l2.PH l2.PH_2,absorb(year id) vce(robust)
estimates store r3
reghdfe GVC_PO l3.PH l3.PH_2,absorb(year id) vce(robust)
estimates store r5
reghdfe GVC_PO l4.PH l4.PH_2,absorb(year id) vce(robust)
estimates store r7



reghdfe GVC_PO l.PH l.PH_2 $myvars,absorb(year id) vce(robust)
estimates store r2
reghdfe GVC_PO l2.PH l2.PH_2 $myvars,absorb(year id) vce(robust)
estimates store r4
reghdfe GVC_PO l3.PH l3.PH_2 $myvars,absorb(year id) vce(robust)
estimates store r6
reghdfe GVC_PO l4.PH l4.PH_2 $myvars,absorb(year id) vce(robust)
estimates store r8

esttab r1 r2 r3 r4 r5 r6 r7 r8 using 动态检验.rtf,replace b(%12.4f) se(%6.4f) nogap compress drop() s(N r2 ) star(* 0.1 ** 0.05 *** 0.01)



****************************异质性分析****************************

//考虑分工地位的异质性分析
reghdfe GVC_PO PH PH_2 if GVC_PO >= mgvcpo,absorb(year id) vce(robust)
estimates store r1
reghdfe GVC_PO PH PH_2 $myvars if GVC_PO >= mgvcpo,absorb(year id) vce(robust)
estimates store r2

reghdfe GVC_PO PH PH_2 if GVC_PO < mgvcpo,absorb(year id) vce(robust)
estimates store r3
reghdfe GVC_PO PH PH_2 $myvars if GVC_PO < mgvcpo,absorb(year id) vce(robust)
estimates store r4


//标准化
//对GVC分工地位、对高低位样本和低地位样本数字技术嵌入环节变量分别进行标准化
//高低位样本
reghdfe stGVC_POhpo stPHhpo stPH_2hpo if GVC_PO >= mgvcpo,absorb(year id) vce(robust)
estimates store r5
reghdfe stGVC_POhpo stPHhpo stPH_2hpo $myvars if GVC_PO >= mgvcpo,absorb(year id) vce(robust)
estimates store r6
//低地位样本
reghdfe stGVC_POlpo stPHlpo stPH_2lpo if GVC_PO < mgvcpo,absorb(year id) vce(robust)
estimates store r7
reghdfe stGVC_POlpo stPHlpo stPH_2lpo $myvars if GVC_PO < mgvcpo,absorb(year id) vce(robust)
estimates store r8
esttab r1 r2 r3 r4 r5 r6 r7 r8 using 分工地位异质性.rtf,replace b(%12.4f) se(%6.4f) nogap compress drop() s(N r2 ) star(* 0.1 ** 0.05 *** 0.01)

//考虑要素密集度的密集型异质性

reghdfe GVC_POm1 PHm1 PHm1_2 ,absorb(year id) vce(robust)
estimates store r1
reghdfe GVC_POm2 PHm2 PHm2_2 ,absorb(year id) vce(robust)
estimates store r3
reghdfe GVC_POm3 PHm3 PHm3_2 ,absorb(year id) vce(robust)
estimates store r5

reghdfe GVC_POm1 PHm1 PHm1_2 $myvars,absorb(year id) vce(robust)
estimates store r2
reghdfe GVC_POm2 PHm2 PHm2_2 $myvars,absorb(year id) vce(robust)
estimates store r4
reghdfe GVC_POm3 PHm3 PHm3_2 $myvars,absorb(year id) vce(robust)
estimates store r6

esttab r1 r2 r3 r4 r5 r6  using 要素密集型异质性.rtf,replace b(%12.4f) se(%6.4f) nogap compress drop() s(N r2 ) star(* 0.1 ** 0.05 *** 0.01)


****************************进一步分析****************************


//数字技术嵌入环节偏向与中间品进口依赖
reghdfe IPD PH PH_2 ,absorb(year id) vce(robust)
estimates store r1
reghdfe IPD PH PH_2 $myvars,absorb(year id) vce(robust)
estimates store r2

reghdfe HIPD PH PH_2 ,absorb(year id) vce(robust)
estimates store r3
reghdfe HIPD PH PH_2 $myvars,absorb(year id) vce(robust)
estimates store r4
esttab r1 r2 r3 r4 using 拓展1.rtf,replace b(%12.4f) se(%6.4f) nogap compress drop() s(N r2 ) star(* 0.1 ** 0.05 *** 0.01)


//数字技术嵌入环节偏向与出口国内增加值率

reghdfe DV PH PH_2,absorb(year id)  vce(robust)
estimates store r1
reghdfe DV PH PH_2 $myvars,absorb(year id)  vce(robust)
estimates store r2
reghdfe DVA PH PH_2 ,absorb(year id) vce(robust)
estimates store r3
reghdfe DVA PH PH_2 $myvars,absorb(year id) vce(robust)
estimates store r4
reghdfe DV_INT PH PH_2 ,absorb(year id) vce(robust)
estimates store r5
reghdfe DV_INT PH PH_2 $myvars,absorb(year id) vce(robust)
estimates store r6
reghdfe DV_FIN PH PH_2 ,absorb(year id) vce(robust)
estimates store r7
reghdfe DV_FIN PH PH_2 $myvars,absorb(year id) vce(robust)
estimates store r8

esttab r1 r2 r3 r4 r5 r6 r7 r8 using 拓展2.rtf,replace b(%12.4f) se(%6.4f) nogap compress drop() s(N r2 ) star(* 0.1 ** 0.05 *** 0.01)



//数字技术嵌入环节偏向与经济增长质量
reghdfe EG PH PH_2,absorb(year id ) vce(robust)
estimates store r1 
reghdfe EG PH PH_2 $myvars,absorb(year id ) vce(robust)
estimates store r2

reghdfe STAB PH PH_2,absorb(year id ) vce(robust)
estimates store r3
reghdfe STAB PH PH_2 $myvars,absorb(year id ) vce(robust)
estimates store r4

reghdfe EFFI PH PH_2  $myvars,absorb(year id ) vce(robust)
estimates store r5
reghdfe TFP PH PH_2 $myvars ,absorb(year id ) vce(robust)
estimates store r6

reghdfe ZB PH PH_2 ,absorb(year id ) vce(robust)
estimates store r7
reghdfe ZB PH PH_2 $myvars,absorb(year id ) vce(robust)
estimates store r8

esttab r1 r2 r3 r4 r5 r6 r7 r8 using 拓展3.rtf,replace b(%12.4f) se(%6.4f) nogap compress drop() s(N r2 ) star(* 0.1 ** 0.05 *** 0.01)


